# Replacements
This file lists all things that cannot be migrated to Nukkit and was replaced by other.

See also [the list of missing features](MISSING_FEATURES.md).

## Items

| Name                   | Replacement   | Unsupported by  |
| ---------------------- | ------------- | --------------- |
| spruce_sign            | oak_sign      | Nukkit 1.X      |
| birch_sign             | oak_sign      | Nukkit 1.X      |
| jungle_sign            | oak_sign      | Nukkit 1.X      |
| acacia_sign            | oak_sign      | Nukkit 1.X      |
| dark_oak_sign          | oak_sign      | Nukkit 1.X      |
| crossbow               | bow           | Nukkit 1.X      |
| Potions of Slowness IV | Potion of Slowness I | Bedrock Edition |
| Uncraftable Potion     | Water Potion  | Bedrock Edition |
| Potions of Lucky       | Water Potion  | Bedrock Edition |
| Arrow of Slowness IV | Arrow of Slowness I | Bedrock Edition |
| Arrow of Lucky         | Regular Arrow | Bedrock Edition |
| Spectral Arrow         | Regular Arrow | Bedrock Edition |

## Blocks

| Name                    | Replacement    | Unsupported by  |
| ----------------------- | -------------- | --------------- |
| wither_rose             | air            | Bedrock Edition |
| structure_void          | air            | Bedrock Edition |
| void_air                | air            | Bedrock Edition |
| cave_air                | air            | Bedrock Edition |
| dead_tube_coral (in water) | water       | Bedrock Edition |
| dead_tube_coral (in air) | air           | Bedrock Edition |
| dead_brain_coral (in water) | water      | Bedrock Edition |
| dead_brain_coral (in air) | air          | Bedrock Edition |
| dead_fire_coral (in water) | water       | Bedrock Edition |
| dead_fire_coral (in air) | air           | Bedrock Edition |
| dead_horn_coral (in water) | water       | Bedrock Edition |
| dead_horn_coral (in air) | air           | Bedrock Edition |
| item_frame (facing down/up) | air        | Bedrock Edition |
| command                 | crafting_table    | Nukkit 1.X   |
| repeating_command_block | crafting          | Nukkit 1.X   |
| chain_command_block     | crafting          | Nukkit 1.X   |
| structure_block         | purpur_block      | Nukkit 1.X   |
| seagrass                | water             | Nukkit 1.X   |
| kelp (block)            | water             | Nukkit 1.X   |
| bubble_column           | water             | Nukkit 1.X   |
| bamboo                  | sugarcane         | Nukkit 1.X   |
| bamboo_sapling          | sugarcane         | Nukkit 1.X   |
| scaffolding             | ladder (floating) | Nukkit 1.X   |
| mossy_stone_brick_slab  | stone_brick_slab  | Nukkit 1.X   |
| smooth_quartz_slab      | quartz_slab       | Nukkit 1.X   |
| stone_slab              | smooth_stone_slab | Nukkit 1.X   |
| cut_sandstone_slab      | sandstone_slab    | Nukkit 1.X   |
| cut_red_sandstone_slab  | red_sandstone_slab| Nukkit 1.X   |
| smooth_stone            | smooth_stone_slab (double) | Nukkit 1.X |
| spruce_sign             | oak_sign          | Nukkit 1.X   |
| spruce_wall_sign        | oak_wall_sign     | Nukkit 1.X   |
| spruce_wall_sign        | oak_wall_sign     | Nukkit 1.X   |
| birch_sign              | oak_sign          | Nukkit 1.X   |
| birch_wall_sign         | oak_wall_sign     | Nukkit 1.X   |
| jungle_sign             | oak_sign          | Nukkit 1.X   |
| jungle_wall_sign        | oak_wall_sign     | Nukkit 1.X   |
| acacia_sign             | oak_sign          | Nukkit 1.X   |
| acacia_wall_sign        | oak_wall_sign     | Nukkit 1.X   |
| dark_oak_sign           | oak_sign          | Nukkit 1.X   |
| dark_oak_wall_sign      | oak_wall_sign     | Nukkit 1.X   |
| grindstone              | crafting_table    | Nukkit 1.X   |
| smoker                  | furnace           | Nukkit 1.X   |
| cartography_table       | crafting_table    | Nukkit 1.X   |
| barrel                  | chest (always closed) | Nukkit 1.X |
| sweet_berry_bush        | grass             | Nukkit 1.X   |
| campfire (lit)          | magma             | Nukkit 1.X   |
| campfire (unlit)        | obsidian          | Nukkit 1.X   |
| jigsaw                  | purpur_block      | Nukkit 1.X   |
| lantern (floor)         | standing torch    | Nukkit 1.X   |
| lantern (celling)       | glowstone         | Nukkit 1.X   |
| lectern                 | crafting_table    | Nukkit 1.X   |
| blast_furnace           | furnace           | Nukkit 1.X   |
| fletching_table         | crafting_table    | Nukkit 1.X   |
| smithing_table          | crafting_table    | Nukkit 1.X   |
| stone_cutter            | enchanting_table  | Nukkit 1.X   |
| loom                    | crafting_table    | Nukkit 1.X   |
| composter               | cauldron          | Nukkit 1.X   |
| bell (on floor)         | anvil             | Nukkit 1.X   |
| bell (on wall and celling) | stone brick wall | Nukkit 1.X |
| prismarine_stairs       | cobblestone_stairs  | Nukkit 1.X |
| dark_prismarine_stairs  | stone_brick_stairs  | Nukkit 1.X |
| prismarine_brick_stairs | mossy_stone_brick_stairs | Nukkit 1.X |
| stripped_spruce_log     | spruce_log        | Nukkit 1.X   |
| stripped_birch_log      | birch_log         | Nukkit 1.X   |
| stripped_jungle_log     | jungle_log        | Nukkit 1.X   |
| stripped_acacia_log     | acacia_log        | Nukkit 1.X   |
| stripped_dark_oak_log   | dark_oak_log      | Nukkit 1.X   |
| stripped_oak_log        | oak_log           | Nukkit 1.X   |
| blue_ice                | packed_ice        | Nukkit 1.X   |
| tube_coral              | water             | Nukkit 1.X   |
| tube_coral_block        | water             | Nukkit 1.X   |
| tube_coral_fan          | water             | Nukkit 1.X   |
| bubble_coral_wall_fan   | water             | Nukkit 1.X   |
| horn_coral_wall_fan     | water             | Nukkit 1.X   |
| dried_kelp_block        | coal_block        | Nukkit 1.X   |
| acacia_button           | oak_button        | Nukkit 1.X   |
| birch_button            | oak_button        | Nukkit 1.X   |
| dark_oak_button         | oak_button        | Nukkit 1.X   |
| jungle_button           | oak_button        | Nukkit 1.X   |
| spruce_button           | oak_button        | Nukkit 1.X   |
| acacia_trapdoor         | oak_trapdoor      | Nukkit 1.X   |
| birch_trapdoor          | oak_trapdoor      | Nukkit 1.X   |
| jungle_trapdoor         | oak_trapdoor      | Nukkit 1.X   |
| acacia_pressure_plate   | oak_pressure_plate| Nukkit 1.X   |
| birch_pressure_plate    | oak_pressure_plate| Nukkit 1.X   |
| dark_oak_pressure_plate | oak_pressure_plate| Nukkit 1.X   |
| jungle_pressure_plate   | oak_pressure_plate| Nukkit 1.X   |
| spruce_pressure_plate   | oak_pressure_plate| Nukkit 1.X   |
| carved_pumpkin          | pumpkin           | Nukkit 1.X   |
| sea_pickle (waterlogged)| water             | Nukkit 1.X   |
| sea_pickle (non-water)  | air               | Nukkit 1.X   |
| conduit                 | water             | Nukkit 1.X   |
| turtle_egg              | air               | Nukkit 1.X   |
| end_stone_brick_slab    | smooth_sandstone_slab | Nukkit 1.X |
| smooth_red_sandstone_slab | red_sandstone_slab | Nukkit 1.X  |
| polished_andesite_slab  | smooth_stone_slab | Nukkit 1.X   |
| andesite_slab           | smooth_stone_slab | Nukkit 1.X   |
| diorite_slab            | quartz_slab       | Nukkit 1.X   |
| polished_diorite_slab   | quartz_slab       | Nukkit 1.X   |
| granite_slab            | brick_slab        | Nukkit 1.X   |
| granite_slab            | brick_slab        | Nukkit 1.X   |
| polished_granite_slab   | red_sandstone_slab| Nukkit 1.X   |
| polished_granite_slab   | red_sandstone_slab| Nukkit 1.X   |
| granite_stairs          | brick_stairs      | Nukkit 1.X   |
| diorite_stairs          | brick_stairs      | Nukkit 1.X   |
| andesite_stairs         | cobblestone_stairs| Nukkit 1.X   |
| polished_granite_stairs | red_sandstone_stairs| Nukkit 1.X |
| polished_diorite_stairs | brick_stairs        | Nukkit 1.X |
| polished_andesite_stairs | stone_brick_stairs | Nukkit 1.X |
| mossy_stone_brick_stairs | stone_brick_stairs | Nukkit 1.X |
| smooth_red_sandstone_stairs | red_sandstone_stairs | Nukkit 1.X |
| smooth_sandstone_stairs | sandstone_stairs  | Nukkit 1.X   |
| end_stone_brick_stairs  | sandstone_stairs  | Nukkit 1.X   |
| mossy_coblestone_stairs | cobblestone_stairs| Nukkit 1.X   |
| stone_stairs            | stone_brick_stairs| Nukkit 1.X   |
| red_nether_brick_stairs | nether_brick_stairs | Nukkit 1.X |
| smooth_quartz_stairs    | quartz_stairs     | Nukkit 1.X   |
| barrier                 | invisible_bedrock | Nukkit 1.X   |
| dark_oak_trapdoor       | oak_trapdoor      | Nukkit 1.X   |
| spruce_trapdoor         | oak_trapdoor      | Nukkit 1.X   |
| bee_nest                | air               | Nukkit 1.X   |
| beehive                 | oak_planks        | Nukkit 1.X   |
| honey_block             | slime_block       | Nukkit 1.X   |
| honeycomb_block         | yellow_glazed_terracotta | Nukkit 1.X |

## Entities

| Name                    | Replacement    | Unsupported by  |
| ----------------------- | -------------- | --------------- |
| spectral_arrow          | arrow          | Bedrock Edition |


## Biomes

| Name                    | Replacement    | Unsupported by  |
| ----------------------- | -------------- | --------------- |
| the_end                 | nether         | Nukkit 1.X      |
| end_midlands            | nether         | Nukkit 1.X      |
| end_highlands           | nether         | Nukkit 1.X      |
| end_barrens             | nether         | Nukkit 1.X      |
| warm_ocean              | ocean          | Nukkit 1.X      |
| lukewarm_ocean          | ocean          | Nukkit 1.X      |
| cold_ocean              | ocean          | Nukkit 1.X      |
| deep_warm_ocean         | deep_ocean     | Nukkit 1.X      |
| deep_lukewarm_ocean     | deep_ocean     | Nukkit 1.X      |
| deep_cold_ocean         | deep_ocean     | Nukkit 1.X      |
| the_void                | plains         | Nukkit 1.X      |
| snowy_mountains         | snowy_tundra   | Nukkit 1.X      |
| bamboo_jungle           | jungle         | Nukkit 1.X      |
| bamboo_jungle_hills     | jungle_hills   | Nukkit 1.X      |
